The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Для Raspberry Pi 4 сертифицирована поддержка графического API Vulkan 1.0 "
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Для Raspberry Pi 4 сертифицирована поддержка графического API Vulkan 1.0 "  +/
Сообщение от opennews (?), 26-Ноя-20, 08:37 
Разработчики Raspberry Pi сообщили о сертификации организацией Khronos графического драйвера v3dv, который успешно прошёл более 100 тысяч тестов из набора CTS (Kronos Conformance Test Suite) и признан полностью совместимым со спецификацией Vulkan 1.0. Драйвер сертифицирован при использовании чипа Broadcom BCM2711, применяемого в платах Raspberry Pi 4, Raspberry Pi 400 и Compute Module 4. Проверка была выполнена на плате Raspberry Pi 4 с дистрибутивом Raspberry Pi OS на базе ядра Linux 5.4.51 и X-сервера...

Подробнее: https://www.opennet.ru/opennews/art.shtml?num=54146

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  –5 +/
Сообщение от КО (?), 26-Ноя-20, 08:37 
"позволяет добиться"
Кроме рекламы я не увидел что он там себе позволяет.
Ответить | Правка | Наверх | Cообщить модератору

2. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +1 +/
Сообщение от Аноним (2), 26-Ноя-20, 08:43 
Игры от Андроида будешь запускать на десктопе на базе RPi. Играть через враппер X11-SurfaceFlinger на мышеклаве в мобильные игры.
Ответить | Правка | Наверх | Cообщить модератору

4. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +5 +/
Сообщение от Аноним (4), 26-Ноя-20, 08:48 
v3dv + zink = OpenGL-3.3 - аппаратно, в mesa, без блобов.
Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

5. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  –2 +/
Сообщение от nox. (?), 26-Ноя-20, 08:54 
Где Вы рекламу увидели?
Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

11. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  –1 +/
Сообщение от asdasdasd (?), 26-Ноя-20, 09:57 
iD Tech 6 / 7 хорошо оптимизированы.
Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

3. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +1 +/
Сообщение от Аноним (4), 26-Ноя-20, 08:45 
https://mesamatrix.net

v3dv третий драйвер для железа, после AMD и Intel с поддержкой Vulcan 1.0 в mesa.

Теперь есть возможность на чипах Broadcom VideoCore VI через драйвер zink гонять OpenGL-3.3

Ответить | Правка | Наверх | Cообщить модератору

23. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  –1 +/
Сообщение от bootforce (?), 26-Ноя-20, 14:06 
А в чем смысл? Что мешает гонять OpenGL напрямую?
Ответить | Правка | Наверх | Cообщить модератору

30. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +2 +/
Сообщение от Аноним (30), 27-Ноя-20, 01:33 
> Что мешает

ЧСВ вулканцев

Ответить | Правка | Наверх | Cообщить модератору

34. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  –1 +/
Сообщение от Аноним (34), 27-Ноя-20, 17:05 
неполнота реализации opengl
Ответить | Правка | К родителю #23 | Наверх | Cообщить модератору

6. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  –1 +/
Сообщение от Аноним (6), 26-Ноя-20, 08:54 
тлдр: графоний без блобов уже возможен на малинке, или еще нет?
Ответить | Правка | Наверх | Cообщить модератору

8. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +4 +/
Сообщение от Аноним (4), 26-Ноя-20, 09:04 
Теоретически, через прокладку zink возможен.

Надо ждать от владельцев малины-4 практического подтверждения работоспособности.

Ответить | Правка | Наверх | Cообщить модератору

21. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +/
Сообщение от flkghdfgklh (?), 26-Ноя-20, 13:51 
Ждем добавят ли в Ubuntu 20.10 или все же уже в 21.04(для малинки возможно добавление в текущий релиз по ряду причин).
Ответить | Правка | Наверх | Cообщить модератору

7. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +1 +/
Сообщение от ryoken (ok), 26-Ноя-20, 09:00 
Это, наверное, всё замечательно. Только последняя спецификация на сайте кроноса - 1.2.
Ответить | Правка | Наверх | Cообщить модератору

10. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +1 +/
Сообщение от SSSSAM (?), 26-Ноя-20, 09:40 
Добавят поддержку со временем
Ответить | Правка | Наверх | Cообщить модератору

13. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +4 +/
Сообщение от Аноним (13), 26-Ноя-20, 10:14 
Если аппаратно железо может только Vulkan-1.0, то не добавят.
Ответить | Правка | Наверх | Cообщить модератору

9. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +/
Сообщение от Козлетто (?), 26-Ноя-20, 09:14 
К сожалению (или к счастью) у меня нет RP4

>Для старых плат отдельно развивается драйвер RPi-VK-Driver

А это уже интересно, кто-то уже пробовал?

Ответить | Правка | Наверх | Cообщить модератору

12. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +1 +/
Сообщение от iPony129412 (?), 26-Ноя-20, 10:13 
А смысл? Они вообще слабые.
Ответить | Правка | Наверх | Cообщить модератору

14. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +/
Сообщение от Zenitur (ok), 26-Ноя-20, 11:12 
Про слабость я бы поспорил. VideoCore IV используется в нескольких моделях смартфонов. Значит, он тянет мобильные игрушки. Возможно что этот GPU слаб именно под управлением опенсорсного драйвера, а под проприетарным показывает производительность получше. Во всяком случае, у меня SuperTuxKart на OpenGL ES работает хорошо и быстро. Медленно работает Quake III, потому что там часть отсутствующих расширений OpenGL эмулируется на процессоре.
Ответить | Правка | Наверх | Cообщить модератору

26. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +1 +/
Сообщение от Аноним (26), 26-Ноя-20, 18:01 
Их слабость была в USB. Как сейчас - не знаю, да и знать не хочу. Альтернатив - до...я и больше.
Ответить | Правка | Наверх | Cообщить модератору

15. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +/
Сообщение от Козлетто (?), 26-Ноя-20, 11:44 
> Они вообще слабые

Вот для этого и нужен вулкан. Все ж утверждают что он дескать быстрее и оптимизированние, позволяет выжать из железки все соки. Вот на практике и проверим.

Ответить | Правка | К родителю #12 | Наверх | Cообщить модератору

17. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +/
Сообщение от Аноним (17), 26-Ноя-20, 12:21 
На практике gpu hang был только у попенсорсных драйверов, а с вулканом и на блобе (и достаточно регулярно, его правда стараются латать и чем сырее блоб тем меньше багов). Давать доступ к железу криворуким обезьянам игровым разработчикам было ошибкой изначально.
Ответить | Правка | Наверх | Cообщить модератору

18. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +/
Сообщение от Валик (?), 26-Ноя-20, 12:26 
так сотню раз уже проверяли на интелях и амдях - те же яйца...
Ответить | Правка | К родителю #15 | Наверх | Cообщить модератору

19. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +/
Сообщение от Аноним (17), 26-Ноя-20, 13:19 
Смотря что сравнивать. По производительности opengl версии 4.5 что ли будет таким же как и вулкан при прочих равных. Из вулкана что-то можно выкинуть, будет чуток эффективней по памяти и процессору, но я вне не в тех местах которые на что-то влияют. Как я понимаю, для вулкана проще писать эффективный код и проще валидировать его корректность (разработчику, чем он заниматься не хочет). Из недостатков, гораздо меньше вещей отдаётся на откуп драйверу. А фрагментация всё равно никуда не делась, правда, теперь мы чуточку ближе к светлому будущему.
Ответить | Правка | Наверх | Cообщить модератору

31. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +/
Сообщение от iPony129412 (?), 27-Ноя-20, 04:43 
> Вот для этого и нужен вулкан

Нет. Это не волшебная палочка. С GPU 2012 года с ним ловить нечего.

Ответить | Правка | К родителю #15 | Наверх | Cообщить модератору

16. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +3 +/
Сообщение от Аноним (16), 26-Ноя-20, 11:50 
А VideoCore VI это то самое ядро, у которого основной софт исполняется непосредственно в этом ядре и являлся лютым блобом, а драйвер, который исполнялся ЦП был небольшой прослойкой? Или это было в предидущем ядре?
И в итоге драйвер, о котором новость, где работает?
Ответить | Правка | Наверх | Cообщить модератору

20. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +1 +/
Сообщение от Annoynymous (ok), 26-Ноя-20, 13:45 
> А VideoCore VI это то самое ядро, у которого основной софт исполняется непосредственно в этом ядре и являлся лютым блобом, а драйвер, который исполнялся ЦП был небольшой прослойкой?

Да. Не сказать, впрочем, что такой уж небольшой.

> И в итоге драйвер, о котором новость, где работает?

В ядре Linux 5.4.1

Ответить | Правка | Наверх | Cообщить модератору

22. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +/
Сообщение от Андрейemail (??), 26-Ноя-20, 14:01 
а doom3 на малину портанут наконец, чтоб боле мение в нд было 30 кадров?
а doom2016, который портанули на тот же мобильный Свич? а то у меня малина с 8 гигами оперативки, а ее только хром сжирает, потому что в денди играть неохото, а игр на малину и нет.
Ответить | Правка | Наверх | Cообщить модератору

28. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +/
Сообщение от Аноним (28), 26-Ноя-20, 19:16 
В своё мремя, Quake III Arena требовал OpenGL не меньше 1.4, потому что использовал много расширений OpenGL. А в Raspberry Pi с 1 по 3 модель был только OpenGL ES. Он является облегчённой версией OpenGL, следовательно квейку не хватало нужных расширений. Запустили всё-таки, недостающее эмулируя на CPU. Кстати, такая возможность - одна из сильнейших возможностей OpenGL.

Думаю, что с Raspberry Pi 4 и Dooom III выйдет похожая история.

Ответить | Правка | Наверх | Cообщить модератору

36. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +/
Сообщение от economist (?), 01-Дек-20, 12:47 
Quake III Arena на Pi4 - 105+ FPS
Ответить | Правка | Наверх | Cообщить модератору

24. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +/
Сообщение от Аноним (-), 26-Ноя-20, 16:01 
где лучше купить  Raspberry Pi 4 или Raspberry Pi 400 чтобы получить эти замечательные графические возможности?
Ответить | Правка | Наверх | Cообщить модератору

25. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  –2 +/
Сообщение от Продаван (?), 26-Ноя-20, 17:33 
Купи у меня
Ответить | Правка | Наверх | Cообщить модератору

32. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  –2 +/
Сообщение от Аноним (32), 27-Ноя-20, 08:00 
Лучше на авитах и т.п. купить какой-нибудь нетбук. Всё равно по сравнению с сабжом он будет в 100500 мощнее
Ответить | Правка | К родителю #24 | Наверх | Cообщить модератору

33. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +/
Сообщение от flkghdfgklh (?), 27-Ноя-20, 08:02 
Я брал на Али под скидки и с купонами свою RPi4 с 8 гигами, учитывая скидки и бесплатную доставку гораздо приятней, чем покупать с Амазона
Ответить | Правка | К родителю #24 | Наверх | Cообщить модератору

27. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +/
Сообщение от НяшМяш (ok), 26-Ноя-20, 18:13 
Интересно, а где же был Broadcom? Давно пора этой конторке послать таких же приветствий, которые в своё время достались нвидии (и им тоже можно напомнить).
Ответить | Правка | Наверх | Cообщить модератору

35. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +/
Сообщение от Аноним (35), 28-Ноя-20, 16:25 
Броадкомы например BCM72112 уже давно как сертифицированы на вулкан 1,2
Ответить | Правка | Наверх | Cообщить модератору

29. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  –2 +/
Сообщение от microsoft (?), 26-Ноя-20, 21:26 
Бесполезное ненужное. Лутшеб делом занялись и в драйве bcmgenet вкрутили поддержку jumbo frames
Ответить | Правка | Наверх | Cообщить модератору

37. "Для Raspberry Pi 4 сертифицирована поддержка графического AP..."  +/
Сообщение от Аноним (37), 31-Дек-20, 18:51 
Пробовал я его на rpi4, ни чего особого. Реального прироста нет. Просто реализация IP Vulkan. При чем это и пишет при запуске, что аппаратной реализации нет. Может конечно и можно добиться некоторых ухищрений для прироста.
Скорее всего создавался больше в образовательных целях.
Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру